pearlydragon

v18.50 cant run x86 games!

Discussion created by pearlydragon on Jan 27, 2019
Latest reply on Jan 31, 2019 by billy72

Hi!
I bought RX570, install amdgpu-pro drivers and now I cant run 90% games, because they x32 O_o
Why???

Most of games write next:
libGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: radeonsi
libGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: radeonsi
libGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: swrast
and cant run.
My system:

System: Host: HomeSuse.asus.com Kernel: 4.12.14-lp150.12.45-default x86_64 bits: 64 gcc: 7.3.1
Desktop: KDE Plasma 5.12.6 (Qt 5.9.4) Distro: openSUSE Leap 15.0
Machine: Device: desktop Mobo: ASUSTeK model: SABERTOOTH 990FX v: Rev 1.xx serial: N/A
BIOS: American Megatrends v: 0901 date: 11/24/2011
CPU: Hexa core AMD FX-6200 Six-Core (-MCP-) arch: Bulldozer rev.2 cache: 12288 KB
flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm) bmips: 45752
clock speeds: max: 3812 MHz 1: 3812 MHz 2: 3812 MHz 3: 3812 MHz 4: 3812 MHz 5: 3812 MHz 6: 3812 MHz
Graphics: Card: Advanced Micro Devices [AMD/ATI] Ellesmere [Radeon RX 470/480/570/580] bus-ID: 01:00.0
Display Server: x11 (X.Org 1.19.6 ) drivers: ati,amdgpu (unloaded: modesetting,fbdev,vesa,radeon)
Resolution: 1920x1080@60.00hz, 1680x1050@59.88hz
OpenGL: renderer: Radeon RX 570 Series version: 4.5.13542 18.50.1.418 Direct Render: Yes
Audio: Card-1 Advanced Micro Devices [AMD/ATI] Ellesmere [Radeon RX 580]
driver: snd_hda_intel bus-ID: 01:00.1
Card-2 Advanced Micro Devices [AMD/ATI] SBx00 Azalia (Intel HDA)
driver: snd_hda_intel bus-ID: 00:14.2
Sound: Advanced Linux Sound Architecture v: k4.12.14-lp150.12.45-default

Outcomes